# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
XLite\Model\Config:
  - name: hurry_stock
    category: QSL\HurryUp
    type: separator
    orderby: 90
    translations: [{code: en, option_name: 'Low stock alerts'}, {code: ru, option_name: 'Сообщения о низком остатке товара'}]
    module: QSL\HurryUp
  - name: hurry_stock_position
    category: QSL\HurryUp
    type: \QSL\HurryUp\View\FormField\Select\AlertLocation
    orderby: 100
    value: 1
    translations: [{code: en, option_name: 'Alert position'}, {code: ru, option_name: 'Позиция сообщения'}]
    module: QSL\HurryUp
  - name: hurry_stock_threshold
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 110
    value: 10
    translations: [{code: en, option_name: 'Stock level threshold', option_comment: 'The alerts will appear for products having less than this number of units in stock.'}, {code: ru, option_name: 'Минимальный остаток товара', option_comment: 'Сообщение будет показано для товаров, остаток на складе которых меньше этого значения.'}]
    module: QSL\HurryUp
  - name: hurry_stock_fg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 120
    translations: [{code: en, option_name: 'Custom text color'}, {code: ru, option_name: 'Задать свой цвет текста'}]
    module: QSL\HurryUp
  - name: hurry_stock_bg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 122
    translations: [{code: en, option_name: 'Custom background color'}, {code: ru, option_name: 'Задать свой цвет фона'}]
    module: QSL\HurryUp
  - name: hurry_stock_br
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 124
    translations: [{code: en, option_name: 'Custom border color'}, {code: ru, option_name: 'Задать свой цвет рамки'}]
    module: QSL\HurryUp
  - name: hurry_stock_hide
    category: QSL\HurryUp
    type: checkbox
    orderby: 130
    value: 0
    translations: [{code: en, option_name: 'Hide the alert after a delay'}, {code: ru, option_name: 'Скрывать сообщение после паузы'}]
    module: QSL\HurryUp
  - name: hurry_stock_hide_delay
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 132
    value: 8
    translations: [{code: en, option_name: 'Delay before the alert disappears (seconds)'}, {code: ru, option_name: 'Задержка перед скрытием сообщения (секунды)'}]
    module: QSL\HurryUp
  - name: hurry_viewers
    category: QSL\HurryUp
    type: separator
    orderby: 140
    translations: [{code: en, option_name: 'Alerts for frequently viewed products'}, {code: ru, option_name: 'Сообщения о часто просматриваемых товарах'}]
    module: QSL\HurryUp
  - name: hurry_viewers_position
    category: QSL\HurryUp
    type: \QSL\HurryUp\View\FormField\Select\AlertLocation
    orderby: 150
    value: 5
    translations: [{code: en, option_name: 'Alert position'}, {code: ru, option_name: 'Позиция сообщения'}]
    module: QSL\HurryUp
  - name: hurry_viewers_period
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 160
    value: 5
    translations: [{code: en, option_name: 'Count viewers within this period (minutes)', option_comment: 'The module will count only those customers who viewed the product less than this number of minutes ago.'}, {code: ru, option_name: 'Период учёта количества просмотров (минуты)', option_comment: 'Модуль будет учитывать только тех покупателей, которые просмотрели страницу товара меньше, чем указанное в этом поле количество минут назад.'}]
    module: QSL\HurryUp
  - name: hurry_viewers_fg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 170
    translations: [{code: en, option_name: 'Custom text color'}, {code: ru, option_name: 'Задать свой цвет текста'}]
    module: QSL\HurryUp
  - name: hurry_viewers_bg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 172
    translations: [{code: en, option_name: 'Custom background color'}, {code: ru, option_name: 'Задать свой цвет фона'}]
    module: QSL\HurryUp
  - name: hurry_viewers_br
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 174
    translations: [{code: en, option_name: 'Custom border color'}, {code: ru, option_name: 'Задать свой цвет рамки'}]
    module: QSL\HurryUp
  - name: hurry_viewers_hide
    category: QSL\HurryUp
    type: checkbox
    orderby: 180
    value: 0
    translations: [{code: en, option_name: 'Hide the alert after a delay'}, {code: ru, option_name: 'Скрывать сообщение после паузы'}]
    module: QSL\HurryUp
  - name: hurry_viewers_hide_delay
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 185
    value: 8
    translations: [{code: en, option_name: 'Delay before the alert disappears (seconds)'}, {code: ru, option_name: 'Задержка перед скрытием сообщения (секунды)'}]
    module: QSL\HurryUp
  - name: hurry_sales
    category: QSL\HurryUp
    type: separator
    orderby: 190
    translations: [{code: en, option_name: 'Alerts for products bought recently'}, {code: ru, option_name: 'Сообщения о часто покупаемых товарах'}]
    module: QSL\HurryUp
  - name: hurry_sales_position
    category: QSL\HurryUp
    type: \QSL\HurryUp\View\FormField\Select\AlertLocation
    orderby: 200
    value: 7
    translations: [{code: en, option_name: 'Alert position'}, {code: ru, option_name: 'Позиция сообщения'}]
    module: QSL\HurryUp
  - name: hurry_sales_threshold
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 210
    value: 2
    translations: [{code: en, option_name: 'Minimum number of recent sales', option_comment: 'The alert will appear only for products that have been ordered recently more than this number of times.'}, {code: ru, option_name: 'Минимальное количество продаж', option_comment: 'Сообщение будет показано только для тех товаров, количество недавних продаж которых превышает это значение.'}]
    module: QSL\HurryUp
  - name: hurry_sales_hours
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 220
    value: 24
    translations: [{code: en, option_name: 'Recent sales period duration (hours)', option_comment: 'The module will count only the orders placed less than this number of hours ago.'}, {code: ru, option_name: 'Период учёта количества заказов (часы)', option_comment: 'Модуль будет учитывать только те заказы, которые были оформлены менее, чем указанное в этом поле количество часов назад.'}]
    module: QSL\HurryUp
  - name: hurry_sales_fg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 230
    translations: [{code: en, option_name: 'Custom text color'}, {code: ru, option_name: 'Задать свой цвет текста'}]
    module: QSL\HurryUp
  - name: hurry_sales_bg
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 232
    translations: [{code: en, option_name: 'Custom background color'}, {code: ru, option_name: 'Задать свой цвет фона'}]
    module: QSL\HurryUp
  - name: hurry_sales_br
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Color
    value: ''
    orderby: 234
    translations: [{code: en, option_name: 'Custom border color'}, {code: ru, option_name: 'Задать свой цвет рамки'}]
    module: QSL\HurryUp
  - name: hurry_sales_hide
    category: QSL\HurryUp
    type: checkbox
    orderby: 240
    value: 0
    translations: [{code: en, option_name: 'Hide the alert after a delay'}, {code: ru, option_name: 'Скрывать сообщение после паузы'}]
    module: QSL\HurryUp
  - name: hurry_sales_hide_delay
    category: QSL\HurryUp
    type: XLite\View\FormField\Input\Text\Integer
    widgetParameters: {min: 0}
    orderby: 245
    value: 8
    translations: [{code: en, option_name: 'Delay before the alert disappears (seconds)'}, {code: ru, option_name: 'Задержка перед скрытием сообщения (секунды)'}]
    module: QSL\HurryUp
XLite\Model\LanguageLabel:
  - name: 'Only N items is left for this product!'
    translations: [{code: en, label: 'This item is running out of stock! Only {{amount}} left'}, {code: ru, label: 'Запасы этого товара заканчиваются! Осталось: {{amount}}'}]
  - name: 'Purchased N times in the last 24 hours'
    translations: [{code: en, label: 'This item was purchased {{amount}} times in the last {{period}} hours'}, {code: ru, label: 'Этот товар купили {{amount}} раз(а) за последние {{period}} ч.'}]
  - name: 'Purchased N times in the last hour'
    translations: [{code: en, label: 'This item was purchased {{amount}} times in the last hour'}, {code: ru, label: 'Этот товар купили {{amount}} раз(а) за последний час'}]
  - name: 'N people are looking at this right now'
    translations: [{code: en, label: '{{amount}} people are looking at this right now'}, {code: ru, label: 'Этот товар сейчас просматривают другие покупатели ({{amount}} человек(а))'}]
  - name: 'A customer is looking at this right now'
    translations: [{code: en, label: 'Another person is looking at this right now'}, {code: ru, label: 'Этот товар сейчас просматривает другой покупатель'}]
  - name: 'Disabled Hurry Up alert'
    translations: [{code: en, label: Disabled}, {code: ru, label: Отключено}]
  - name: 'Inline Hurry Up alert'
    translations: [{code: en, label: Inline}, {code: ru, label: 'В теле страницы'}]
  - name: 'Tooltip, Top Left Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Top Left'}, {code: ru, label: 'Всплывающее сообщение, сверху слева'}]
  - name: 'Tooltip, Top Center Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Top Center'}, {code: ru, label: 'Всплывающее сообщение, сверху в центре'}]
  - name: 'Tooltip, Top Right Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Top Right'}, {code: ru, label: 'Всплывающее сообщение, сверху справа'}]
  - name: 'Tooltip, Bottom Left Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Bottom Left'}, {code: ru, label: 'Всплывающее сообщение, снизу слева'}]
  - name: 'Tooltip, Bottom Center Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Bottom Center'}, {code: ru, label: 'Всплывающее сообщение, снизу в центре'}]
  - name: 'Tooltip, Bottom Right Hurry Up alert'
    translations: [{code: en, label: 'Tooltip, Bottom Right'}, {code: ru, label: 'Всплывающее сообщение, снизу справа'}]
  - name: 'Remove expired Hurry Up pageview records'
    translations: [{code: en, label: 'Remove expired Hurry Up pageview records'}]
XLite\Model\Task:
  - owner: QSL\HurryUp\Core\Task\ClearOutdatedStats
